%global pypi_name nikola

Name:           python-%{pypi_name}
Version:        7.8.15
Release:        2%{?dist}
Summary:        A modular, fast, simple, static website and blog generator

License:        MIT and CC0 and BSD
URL:            https://getnikola.com/
Source0:        Nikola-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)

# Required for testing
BuildRequires:  python3dist(blinker) >= 1.3
BuildRequires:  python3dist(codacy-coverage) >= 1.3.6
BuildRequires:  python3dist(colorama) >= 0.3.4
BuildRequires:  python3dist(coverage) >= 4.4.1
BuildRequires:  python3dist(docutils) >= 0.12
BuildRequires:  python3dist(doit) >= 0.30.1
BuildRequires:  python3dist(freezegun) >= 0.3.8
BuildRequires:  python3dist(ghp-import2) >= 1.0.0
BuildRequires:  python3dist(husl) >= 4.0.2
BuildRequires:  python3dist(ipykernel) >= 4.0.0
BuildRequires:  python3dist(jinja2) >= 2.7.2
BuildRequires:  python3dist(logbook) >= 0.7.0
BuildRequires:  python3dist(lxml) >= 3.3.5
BuildRequires:  python3dist(mako) >= 1.0.0
BuildRequires:  python3dist(markdown) >= 2.4.0
BuildRequires:  python3dist(micawber) >= 0.3.0
BuildRequires:  python3dist(mock) >= 2.0.0
BuildRequires:  python3dist(natsort) >= 3.5.2
BuildRequires:  python3dist(notebook) >= 4.0.0
BuildRequires:  python3dist(phpserialize) >= 1.3
BuildRequires:  python3dist(piexif) >= 1.0.3
BuildRequires:  python3dist(pillow) >= 2.4.0
BuildRequires:  python3dist(pygal) >= 2.0.0
BuildRequires:  python3dist(pygments) >= 1.6
BuildRequires:  python3dist(pyphen) >= 0.9.1
BuildRequires:  python3dist(pyrss2gen) >= 1.1
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-cov) >= 2.5.1
BuildRequires:  python3dist(python-dateutil) >= 2.6.0
BuildRequires:  python3dist(pyyaml) >= 3.12
BuildRequires:  python3dist(requests) >= 2.2.0
BuildRequires:  python3dist(toml) >= 0.9.2
BuildRequires:  python3dist(typogrify) >= 2.0.4
BuildRequires:  python3dist(unidecode) >= 0.04.16
BuildRequires:  python3dist(watchdog) >= 0.8.3
BuildRequires:  python3dist(webassets) >= 0.10.1
#BuildRequires:  python3dist(ws4py) >= 0.4.2
BuildRequires:  python3dist(yapsy) >= 1.11.223


%description
Nikola is a static site and blog generator using Python. It generates sites
with tags, feeds, archives, comments, and more from plain text files. Source
 can be unformatted, or formatted with reStructuredText or Markdown.
It also automatically builds image galleries.


%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(blinker) >= 1.3
Requires:       python3dist(codacy-coverage) >= 1.3.6
Requires:       python3dist(colorama) >= 0.3.4
Requires:       python3dist(coverage) >= 4.4.1
Requires:       python3dist(docutils) >= 0.12
Requires:       python3dist(doit) >= 0.30.1
Requires:       python3dist(freezegun) >= 0.3.8
Requires:       python3dist(ghp-import2) >= 1.0.0
Requires:       python3dist(husl) >= 4.0.2
Requires:       python3dist(ipykernel) >= 4.0.0
Requires:       python3dist(jinja2) >= 2.7.2
Requires:       python3dist(logbook) >= 0.7.0
Requires:       python3dist(lxml) >= 3.3.5
Requires:       python3dist(mako) >= 1.0.0
Requires:       python3dist(markdown) >= 2.4.0
Requires:       python3dist(micawber) >= 0.3.0
Requires:       python3dist(mock) >= 2.0.0
Requires:       python3dist(natsort) >= 3.5.2
Requires:       python3dist(notebook) >= 4.0.0
Requires:       python3dist(phpserialize) >= 1.3
Requires:       python3dist(piexif) >= 1.0.3
Requires:       python3dist(pillow) >= 2.4.0
Requires:       python3dist(pygal) >= 2.0.0
Requires:       python3dist(pygments) >= 1.6
Requires:       python3dist(pyphen) >= 0.9.1
Requires:       python3dist(pyrss2gen) >= 1.1
Requires:       python3dist(pytest) >= 3.1.2
Requires:       python3dist(pytest-cov) >= 2.5.1
Requires:       python3dist(python-dateutil) >= 2.6.0
Requires:       python3dist(pyyaml) >= 3.12
Requires:       python3dist(requests) >= 2.2.0
Requires:       python3dist(setuptools) >= 20.3
Requires:       python3dist(toml) >= 0.9.2
Requires:       python3dist(typogrify) >= 2.0.4
Requires:       python3dist(unidecode) >= 0.04.16
Requires:       python3dist(watchdog) >= 0.8.3
Requires:       python3dist(webassets) >= 0.10.1
# Requires:       python3dist(ws4py) >= 0.4.2
Requires:       python3dist(yapsy) >= 1.11.223
Requires:	glyphicons-halflings-fonts


%description -n python3-%{pypi_name}
Nikola is a static site and blog generator using Python. It generates sites
with tags, feeds, archives, comments, and more from plain text files. Source
 can be unformatted, or formatted with reStructuredText or Markdown.
This package contains the Python implementation of nikola.


%package -n python-%{pypi_name}-doc
Summary:        python-nikola documentation
%description -n python-%{pypi_name}-doc
Documentation for python-nikola


%package -n %{pypi_name}
Summary:        %{summary}
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n %{pypi_name}
Documentation for python-nikola
Nikola is a static site and blog generator using Python. It generates sites
with tags, feeds, archives, comments, and more from plain text files. Source
 can be unformatted, or formatted with reStructuredText or Markdown.
It also automatically builds image galleries.


%prep
%autosetup -n Nikola-%{version}
# Remove bundled egg-info
rm -rf Nikola.egg-info

%build
%py3_build
# generate html docs
PYTHONPATH=${PWD} sphinx-build-3 docs/sphinx html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
# somes tests are failing with python 3.7
# disabling for now
#%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.rst
%{python3_sitelib}/nikola
%{python3_sitelib}/Nikola-%{version}-py?.?.egg-info


%files -n python-%{pypi_name}-doc
%license LICENSE.txt
%doc html


%files -n %{pypi_name}
%license LICENSE.txt
%{_bindir}/nikola
%{_datadir}/doc/%{pypi_name}/*.txt
%{_mandir}/man1/nikola.1.gz


%changelog
* Sat Sep  8 2018 José Matos <jamatos@fedoraproject.org> - 7.8.15-2
- make Requires dependencies greater or equal rather than just equal.

* Sat Sep  1 2018 José Matos <jamatos@fedoraproject.org> - 7.8.15-1
- initial package.
- disable for now the dependency on ws4py because it does not build with python3.7
